Skip to content
Start here

List Account Providers

client.AIGateway.CustomProviders.List(ctx, params) (*V4PagePaginationArray[CustomProviderListResponse], error)
GET/accounts/{account_id}/ai-gateway/custom-providers

Lists all AI Gateway evaluator types configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
params CustomProviderListParams
AccountID param.Field[string]

Path param

Beta param.Field[bool]Optional

Query param

Enable param.Field[bool]Optional

Query param

Page param.Field[int64]Optional

Query param

minimum1
PerPage param.Field[int64]Optional

Query param

maximum100
minimum1
ReturnsExpand Collapse
type CustomProviderListResponse struct{…}
ID string
formatuuid
BaseURL string
formaturi
CreatedAt Time
formatdate-time
ModifiedAt Time
formatdate-time
Name string
Slug string
Beta boolOptional
CurlExample stringOptional
Description stringOptional
Enable boolOptional
Headers stringOptional
maxLength8192
JSExample stringOptional
Position int64Optional

List Account Providers

package main

import (
  "context"
  "fmt"

  "github.com/stainless-sdks/cloudflare-go"
  "github.com/stainless-sdks/cloudflare-go/ai_gateway"
  "github.com/stainless-sdks/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.AIGateway.CustomProviders.List(context.TODO(), ai_gateway.CustomProviderListParams{
    AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "base_url": "https://example.com",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "slug": "slug",
      "beta": true,
      "curl_example": "curl_example",
      "description": "description",
      "enable": true,
      "headers": "headers",
      "js_example": "js_example",
      "link": "link",
      "logo": "logo",
      "position": 0
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "base_url": "https://example.com",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "slug": "slug",
      "beta": true,
      "curl_example": "curl_example",
      "description": "description",
      "enable": true,
      "headers": "headers",
      "js_example": "js_example",
      "link": "link",
      "logo": "logo",
      "position": 0
    }
  ],
  "success": true
}